dofile(LockOn_Options.common_script_path .. "devices_defs.lua")
dofile(LockOn_Options.common_script_path .. "ViewportHandling.lua")

indicator_type = indicator_types.HELMET
purposes       = { render_purpose.GENERAL,render_purpose.HUD_ONLY_VIEW}

--子页面 id
local base			= 1
local indication	= 2
local flight_info	= 3
local sigh			= 4
local combat		= 5
local rwr			= 6
local nav			= 7
--local debug_sigh = 11
--local test_page = 12

--子页面
page_subsets = {
	[base]  		= LockOn_Options.script_path .. "displays/Helmet/Indicator/base_page.lua",
	[indication]   	= LockOn_Options.script_path .. "displays/Helmet/Indicator/indication_page.lua",
	[flight_info] 	= LockOn_Options.script_path .. "displays/Helmet/Indicator/flight_info_page.lua",
	[sigh] 			= LockOn_Options.script_path .. "displays/Helmet/Indicator/sigh_page.lua",
	[combat] 		= LockOn_Options.script_path .. "displays/Helmet/Indicator/combat_page.lua",
	[rwr] 			= LockOn_Options.script_path .. "displays/Helmet/Indicator/rwr_page.lua",
	[nav]  			= LockOn_Options.script_path .. "displays/Helmet/Indicator/nav_page.lua",
	--[debug_sigh] 	= LockOn_Options.script_path .. "displays/Helmet/Indicator/debug_sigh_page.lua",
	--[test_page] 	= LockOn_Options.script_path .. "displays/Helmet/Indicator/test_page.lua",
}
--目前暂时无法控制页面集显示,所以只用一个页面控制
--页面集
pages = {
	{
		base,
		indication,
		flight_info,
		sigh,
		combat,
		rwr,
		nav,
		--debug_sigh,
		--test_page
	},
}

init_pageID    = 1